package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillShop;
import com.neusoft.smart.pos.trade.persistent.domain.BillShopExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillShopMapper {
    int countByExample(BillShopExample example);

    int deleteByExample(BillShopExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillShop record);

    int insertSelective(BillShop record);

    List<BillShop> selectByExample(BillShopExample example);

    BillShop selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillShop record, @Param("example") BillShopExample example);

    int updateByExample(@Param("record") BillShop record, @Param("example") BillShopExample example);

    int updateByPrimaryKeySelective(BillShop record);

    int updateByPrimaryKey(BillShop record);

    void batchInsert(@Param("items") List<BillShop> items);
}